dnl Autoconf macros for lexed
dnl $Id: mgtools.m4,v 1.2 2004/12/03 15:15:47 rousse Exp $
dnl inspired from gpme package


dnl AM_PATH_LEXED([MINIMUM-VERSION,
dnl               [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]]])
dnl Test for liblexed and define LEXED_CFLAGS and LEXED_LIBS
dnl
AC_DEFUN([AM_PATH_MGTOOLS],
[ AC_ARG_WITH(mgtools-prefix,
            AC_HELP_STRING([--with-mgtools-prefix=PFX],
                           [prefix where MGTOOLS is installed (optional)]),
     mgtools_config_prefix="$withval", mgtools_config_prefix="")
  if test x$mgtools_config_prefix != x ; then
     mgtools_config_args="$mgtools_config_args --prefix=$mgtools_config_prefix"
     if test x${MGTOOLS_CONFIG+set} != xset ; then
        MGTOOLS_CONFIG=$mgtools_config_prefix/bin/mgtools-config
     fi
  fi

  AC_PATH_PROG(MGTOOLS_CONFIG, mgtools-config, no)
  min_mgtools_version=ifelse([$1], ,0.0.1,$1)
  AC_MSG_CHECKING(for MGTOOLS - version >= $min_mgtools_version)
  ok=no
  if test "$MGTOOLS_CONFIG" != "no" ; then
    req_major=`echo $min_mgtools_version | \
               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\1/'`
    req_minor=`echo $min_mgtools_version | \
               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\2/'`
    req_micro=`echo $min_mgtools_version | \
               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\)/\3/'`
    mgtools_config_version=`$MGTOOLS_CONFIG $mgtools_config_args --version`
    major=`echo $mgtools_config_version | \
               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\).*/\1/'`
    minor=`echo $mgtools_config_version | \
               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\).*/\2/'`
    micro=`echo $mgtools_config_version | \
               sed 's/\([[0-9]]*\)\.\([[0-9]]*\)\.\([[0-9]]*\).*/\3/'`
    if test "$major" -gt "$req_major"; then
        ok=yes
    else 
        if test "$major" -eq "$req_major"; then
            if test "$minor" -gt "$req_minor"; then
               ok=yes
            else
               if test "$minor" -eq "$req_minor"; then
                   if test "$micro" -ge "$req_micro"; then
                     ok=yes
                   fi
               fi
            fi
        fi
    fi
  fi
  if test $ok = yes; then
    MGTOOLS_CFLAGS=`$MGTOOLS_CONFIG $mgtools_config_args --cflags`
    MGTOOLS_LIBS=`$MGTOOLS_CONFIG $mgtools_config_args --libs`
    MGTOOLS_XSLT=`$MGTOOLS_CONFIG $mgtools_config_args --xsltdir`
    AC_MSG_RESULT(yes)
    ifelse([$2], , :, [$2])
  else
    MGTOOLS_CFLAGS=""
    MGTOOLS_LIBS=""
    MGTOOLS_XSLT=""
    AC_MSG_RESULT(no)
    ifelse([$3], , :, [$3])
  fi
  AC_SUBST(MGTOOLS_CFLAGS)
  AC_SUBST(MGTOOLS_LIBS)
  AC_SUBST(MGTOOLS_XSLT)
])

